
Foreman - Bug #10201

Statistics page behavior when looking at an empty org looks broken

04/17/2015 04:32 PM - Bryan Kearney

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Statistics   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1179491 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1179491

Description of problem:

I think it's just how the Statistics page deals with low volumes of information, but in our lab environment, it looks broken. When I load

the Stats from Any Context, I see some tiles that have basic charts in them, except for Class Distribution. From here, I can click on

the doughnut, and get taken to the relevant page, or I can click on the title of the tile, and see a larger view, potentially with a bit more

information.

When I flip to a specific org (in our case, it doesn't have any hosts yet), the tiles remain, but now they're empty, even the detailed

view from clicking on the title.

Version-Release number of selected component (if applicable):

6.06

How reproducible:

100%

Steps to Reproduce:

1. Go to the Statistics page, looking at Any Context

2. Then, go to the Statistics page, looking at an org that doesn't have any (or many) systems

Actual results:

You'll see lots of empty tiles that don't indicate there's no data, they just look like they didn't load

Expected results:

If there's not enough data to show any Statistics, we should say so, rather than showing empty tiles

Additional info:

Related issues:

Related to Foreman - Bug #13424: Add Patternfly donut charts support Closed 01/28/2016

History

#1 - 04/17/2015 04:33 PM - Bryan Kearney

- Category set to Statistics

- Assignee deleted (Ohad Levy)

#2 - 03/07/2016 10:21 AM - Tom Caspy

I propose one of two fixes:

1. hide the tile if there's no data in it, and show a standard empty page like we do in most other pages, if no tiles are shown at all.

2. still show the tiles, but put "no data" in empty tiles.

which should I do?

#3 - 03/09/2016 09:07 AM - Tom Caspy
- Status changed from New to Need more information

#4 - 08/12/2016 09:42 AM - Ondřej Pražák

- Target version set to 115

#5 - 11/08/2016 02:11 PM - Bryan Kearney

I vote asking Rox on this.

#6 - 11/08/2016 02:11 PM - Bryan Kearney

- Status changed from Need more information to New

#7 - 11/09/2016 04:52 AM - Marek Hulán

- File nodata.png added

- Status changed from New to Resolved

I think this has been solved by #13424, if there are no data, we inform the user (Foreman 1.14+).

#8 - 11/09/2016 04:52 AM - Marek Hulán

- Related to Bug #13424: Add Patternfly donut charts support added

#9 - 12/20/2016 03:54 AM - Shlomi Zadok

- Status changed from Resolved to Closed

Closing, as "resolved" still shows up in lists :)

#10 - 12/20/2016 03:56 AM - Dominic Cleal

- Status changed from Closed to Resolved

"Resolved" is correct, the issue is closed according to Redmine.

Files
